maffy.subset {affy} | R Documentation

## Select Subset

### Description

Select a subset of rows with small rank-range over columns.

### Usage

    maffy.subset(data,subset.size=5000,maxit=100,
                 subset.delta=max(round(subset.size/100),25),verbose=FALSE)

### Arguments

`data` | a matrix
`subset.size` | desired size of subset
`maxit` | maximum number of iterations
`subset.delta` | maximum deviation from subset.size
`verbose` | logical value.

### Details

Please refer to references.

### Value

A list with component

`subset` | the indexes for subset.

### Author(s)

Magnus Åstrand

### References

Åstrand, M. (2001) http://www.math.chalmers.se/~magnusaa/maffy/

### See Also

`maffy.normalize`

### Examples

         #data(Dilution)
         #x <- log2(pm(Dilution)[,1:3])
         #Index <- maffy.subset(x,subset.size=100)$subset
         #mva.pairs(x[Index,])

[Package affy version 1.6.7 Index]